package example.codes;

import com.silanis.esl.sdk.*;
import com.silanis.esl.sdk.builder.*;

public class signerSessionCreation {
	
	private static final String api_key = "api_key";
	private static final String api_url = "https://sandbox.esignlive.com/api";

	public static void main(String[] args) {
		
		EslClient eslClient = new EslClient(api_key, api_url);
		
		DocumentPackage testPackage = PackageBuilder.newPackageNamed("Example Package")
				.withSigner(SignerBuilder.newSignerWithEmail("price9872@gmail.com")
						.withFirstName("John")
						.withLastName("Smith")
						.withCustomId("Signer1"))
				.withDocument(DocumentBuilder.newDocumentWithName("Test Document")
						.fromFile("C:/Users/hhaidary/Desktop/pdf/doc1.pdf")
						.withSignature(SignatureBuilder.signatureFor("price9872@gmail.com")
								.atPosition(100, 100)
								.onPage(0)))
				.build();
		
		PackageId packageId = eslClient.createAndSendPackage(testPackage);
		
		String signerAuthenticationToken = eslClient.getAuthenticationTokensService().createSignerAuthenticationToken(packageId.toString(), "Signer1");
		
		AuthenticationClient authClient = new AuthenticationClient("https://sandbox.esignlive.com");
		
		String url = authClient.buildRedirectToSigningForSigner(signerAuthenticationToken, packageId.getId());
		
		System.out.println(url);

	}

}
